#!/bin/ksh
#
# showtap.sh - Show blocks in .tap file(s)
#
# This program uses Andys Binary Folding Editor to do the decode.
# See http://www.nyangau.org/be/be.htm
#

for f in "$@" ; do
	print "=== $f"
	be -dTAP_FILE -fnextChunk -v++ -p "$f" |\
	fgrep -v '{???' |\
	fgrep -v '...'
done
